Name:           perl-Net-OpenID-Server
Version:        1.09
Release:        1%{?dist}
Summary:        Library for building your own OpenID server/provider
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Net-OpenID-Server/
Source0:        http://www.cpan.org/modules/by-module/Net/Net-OpenID-Server-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Carp)
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(fields)
BuildRequires:  perl(MIME::Base64)
BuildRequires:  perl(Net::OpenID::Common) >= 1.11
BuildRequires:  perl(Net::OpenID::IndirectMessage)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Time::Local) 
BuildRequires:  perl(URI)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This is the Perl API for (the server half of) OpenID, a distributed
identity system based on proving you own a URL, which is then your
identity.

%prep
%setup -q -n Net-OpenID-Server-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes examples META.json README
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Nov 30 2018 Xavier Bachelot <xavier@bachelot.org> 1.09-1
- Initial package.
